Bug 478930 - Review Request: globus-rls-client - Globus Toolkit - Replica Location Service Client
Review Request: globus-rls-client - Globus Toolkit - Replica Location Service...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On: gpt 453848 453851 467237 478921
Blocks: 478931
  Show dependency treegraph
 
Reported: 2009-01-05 20:19 EST by Mattias Ellert
Modified: 2009-06-04 17:16 EDT (History)
3 users (show)

See Also:
Fixed In Version: 5.1-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-04 17:12:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
oget.fedora: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2009-01-05 20:19:18 EST
Spec URL: http://www.grid.tsl.uu.se/repos/globus/info/globus-rls-client.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-rls-client-5.1-0.3.fc10.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-rls-client package contains:
Replica Location Service Client

BuildRequires:	grid-packaging-tools
BuildRequires:	globus-common-devel >= 3
BuildRequires:	globus-gssapi-gsi-devel >= 4
BuildRequires:	globus-io-devel >= 3
BuildRequires:	globus-core-devel >= 4

Based on the globus toolkit 4.2.1 release.

Applied patches submitted upstream:

Various dependency fixes:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6593
Comment 1 Mattias Ellert 2009-03-15 20:03:12 EDT
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-rls-client-5.1-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-rls-client.spec
Comment 2 Mattias Ellert 2009-04-17 09:45:35 EDT
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-rls-client-5.1-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-rls-client.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus
Comment 3 Orcan Ogetbil 2009-05-31 14:07:14 EDT
There are some issues with this one:

- koji rawhide build seems fine
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1385823

! The file CHANGELOG can go to a %doc

* The source extraction guide is incomplete. The original source tree contains a ./java directory, which is missing from your tarball. Is there a reason?

? There is some html documentation under the ./Doc directory. Currently there is a doxygen documentation in the doc package which seemed to me rather useless. Shall we replace it with the html documentation from the ./Doc directory?

- rpmlint
   globus-rls-client-devel.x86_64: W: no-documentation
can be ignored. (Well, the CHANGELOG might fit in here)

* Please fix the compilation warnings of the type
   rpc.c:395: warning: format '%d' expects type 'int', but argument 3 has type 'globus_size_t'
Comment 4 Mattias Ellert 2009-06-01 00:48:16 EDT
(In reply to comment #3)
> ! The file CHANGELOG can go to a %doc

The CHANGELOG file's last entry is for version 2.1.3, the current version is 5.1. Since the CHANGELOG file is not maintained it doesn't make much sense to include it.

> * The source extraction guide is incomplete. The original source tree contains
> a ./java directory, which is missing from your tarball. Is there a reason?

Yes, the java directory is not part of the globus-rls-client source package, but a separate source package of its own. The build GPT build instructions in the pkgdata directory does not contain information about how to build the java package. The java directory contains its own pkgdata directory with build instructions for the java package. I have added a line to the source extraction guide that removes the java directory before packaging the source tarball.

> ? There is some html documentation under the ./Doc directory. Currently there
> is a doxygen documentation in the doc package which seemed to me rather
> useless. Shall we replace it with the html documentation from the ./Doc
> directory?

The bug is in the LAC_DOXYGEN call in configure.in - it points to the main directory instead of the library subdirectory. Fixed.

> * Please fix the compilation warnings of the type
>    rpc.c:395: warning: format '%d' expects type 'int', but argument 3 has type
> 'globus_size_t'  

Fixed.

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-rls-client-5.1-2.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-rls-client.spec
Comment 5 Orcan Ogetbil 2009-06-01 12:11:25 EDT
Thanks!

----------------------------------------------------
This package (globus-rls-client) is APPROVED by oget
----------------------------------------------------
Comment 6 Mattias Ellert 2009-06-01 16:39:06 EDT
Thank you for the review.

New Package CVS Request
=======================
Package Name: globus-rls-client
Short Description: Globus Toolkit - Replica Location Service Client
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:
Comment 7 Jason Tibbitts 2009-06-01 17:33:42 EDT
CVS done.
Comment 8 Fedora Update System 2009-06-01 18:52:05 EDT
globus-rls-client-5.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-rls-client-5.1-2.fc10
Comment 9 Fedora Update System 2009-06-01 18:52:10 EDT
globus-rls-client-5.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-rls-client-5.1-2.fc9
Comment 10 Fedora Update System 2009-06-01 18:52:15 EDT
globus-rls-client-5.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-rls-client-5.1-2.fc11
Comment 11 Fedora Update System 2009-06-04 17:12:25 EDT
globus-rls-client-5.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-06-04 17:15:16 EDT
globus-rls-client-5.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-06-04 17:16:31 EDT
globus-rls-client-5.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.